# RSL_nsig_to_radar

### Synopsis

#include "rsl.h"
Radar *RSL_nsig_to_radar(char *infile);
Radar *RSL_nsig2_to_radar(char *infile);

### Description

Reads a new SIGMET (aka nsig) file and returns a pointer to the structure Radar. The input file is specified by the string infile. If infile is NULL, then stdin is read. The input file may be compressed. If the data is compressed, it is passed through the GNU gunzip filter. Thus, compressed data can be any format that gzip understands. Two versions of SIGMET files exist: Version 1 files, and Version 2 files. RSL_nsig_to_radar is used to read version 1 files, and, RSL_nsig2_to_radar is used to read version 2 files.

The radar structure is, essentially, an array of Volumes. The number and type of volumes allocated is automatically determined from the input nsig file.

### Return value

Upon successful completion, RSL_nsig_to_radar returns a pointer to the structure Radar. Otherwise, NULL is returned and errno is set.

### See also

RSL_anyformat_to_radar

Author: Paul Kucera.